
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */


function ValidaCPF(parNumero)
{
    var l_js_Contador;
    parNumero = LimpaString(parNumero);
    var l_js_Corpo = parNumero.substr(0, 9);
    var l_js_DV = parNumero.substr(9, 2);
    var d1 = 0;
    for (l_js_Contador = 0; l_js_Contador < 9; l_js_Contador++)
    {
        d1 += l_js_Corpo.charAt(l_js_Contador)*(10 - l_js_Contador);
    }
  if (d1 == 0)
        return false;
    d1 = 11 - (d1 % 11);
    if (d1 > 9)
        d1 = 0;
    if (l_js_DV.charAt(0) != d1)
    {
        return false;
    }

    d1 *= 2;
    for (l_js_Contador = 0; l_js_Contador < 9; l_js_Contador++)    {
        d1 += l_js_Corpo.charAt(l_js_Contador)*(11 - l_js_Contador);
    }
    d1 = 11 - (d1 % 11);
    if (d1 > 9)
        d1 = 0;
    if (l_js_DV.charAt(1) != d1) {
        return false;
    }
  return true;
}

function ValidaMultiplosRadiosObrigatorios(pNomeChave, pNomeObj)
{
    var chave;
    chave = document.getElementsByName(pNomeChave);

    if (chave == undefined)
    {
        return false;
    }

    if (chave.length != undefined)
    {
        for (i=0;i<chave.length;i++)
        {   res = 0;
            obj = document.getElementsByName(pNomeObj + chave[i].value );
            for (j=0;j<obj.length;j++)
            {
                if(obj[j].checked)
                {
                    res=1;
                }
            }

            if (res==0)
                return false;
        }
    }

    return true;
}

function ValidaRadioObrigatorio(radioName)
{
    var pRadio;
    pRadio = document.getElementsByName(radioName);

    if (pRadio == undefined)
    {
        return false;
    }

    if (pRadio.length != undefined)
    {
        for (i=0;i<pRadio.length;i++)
        {
            if(pRadio[i].checked)
            {
                return true;
            }
        }
        return false;
    }
    else
    {
        if (!pRadio.checked)
        {
            return false;
        }
    }
    return true;
}



function validate()
{
	resetColorLabels('campos2','');
	var erro=0;
	var msg='\nPreencha os seguintes campos:\n';
	
	

	/*------------------------------------------------------------------------
	|        VERIFICANDO PREENCHIMENTO DE CAMPOS OBRIGATORIOS                |


   */
   
   
       /* VALIDANDO NACIONALIDADE E PAIS NASCIMENTO */

   if (document.getElementById('form_nacionalidadeusuario').value != '1' &&
       document.getElementById('form_codigopaisusuario').value == '10')
   {
		msg+='\n -> Nacionalidade e Pais Incompativeis';
		changeBack('l_nacionalidadeusuario','form_nacionalidadeusuario','label_alert','field_alert');
		changeBack('l_paisusuario','form_codigopaisusuario','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_nacionalidadeusuario').focus();
        erro=1;
   }
   
   if (document.getElementsByName('form_nacionalidadeusuario')[0].checked == true &&
       document.getElementById('form_ufNascimentoUsuario').value == 0)
   {
		msg+='\n -> Especificar UF Nascimento';
		changeBack('l_ufNascimentousuario','form_ufNascimentoUsuario','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_nacionalidadeusuario').focus();
        erro=1;
   }


       /* VALIDANDO Estado e  Municipio */


   if ((document.getElementById('form_ufNascimentoUsuario').value != 0    &&
        document.getElementById('form_codigoMunicipioUsuario').value == 0) ||
       (document.getElementById('form_ufNascimentoUsuario').value == 0    &&
        document.getElementById('form_codigoMunicipioUsuario').value != 0))
   {
	o0=document.getElementById('form_ufNascimentoUsuario').value;
	o1=document.getElementById('form_codigoMunicipioUsuario').value;
	alert(o0);
	alert(o1);
		msg+='\n -> Estado e Municipio Inconsistentes';
		changeBack('l_ufNascimentoUsuario','form_ufNascimentoUsuario','label_alert','field_alert');
		changeBack('l_municipioNascimentoUsuario','form_codigoMunicipioUsuario','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_ufNascimentoUsuario').focus();
        erro=1;
   }



   o1=document.getElementsByName('form_horalazerusuario[]');
   o2=document.getElementById('form_outrolazer');
   if (o1[11].checked && o2.value == '')
   {
		msg+='\n -> Indicar a outra atividade de lazer';
		o2.style.background="yellow";
        if(erro==0)
	        document.getElementById('form_ufNascimentoUsuario').focus();
        erro=1;
   }

   o1=document.getElementsByName('form_locallazer18');
   o2=document.getElementById('form_outrolocallazer');
   if ((o1[0].checked || o1[1].checked) && o2.value.length == 0)
   {
		msg+='\n -> Indicar o outro local de atividade de lazer';
		o2.style.background="yellow";
        if(erro==0)
	        document.getElementById('form_ufNascimentoUsuario').focus();
        erro=1;
   }




     /* Verificacao se existe algum documento declarado */
       

   if (document.getElementsByName('form_temCartaoSus')[1].checked     == true &&
       document.getElementsByName('form_temCPF')[1].checked           == true &&
       document.getElementsByName('form_temRG')[1].checked            == true &&
       document.getElementsByName('form_temCarteiraTrab')[1].checked  == true &&
       document.getElementsByName('form_temCartMotorista')[1].checked == true)

    {
       msg+='\n -> Obrigatorio pelo menos 1 documento';
   	   changeBack('l_temCartaoSus','form_nrocadsususuario','label_alert','field_alert');
   	   changeBack('l_temCPF','form_cpfusuario','label_alert','field_alert');
   	   changeBack('l_temRG','form_rgusuario','label_alert','field_alert');
   	   changeBack('l_temCarteiraTrab','form_carteiratrabusuario','label_alert','field_alert');
   	   changeBack('l_temCartMotorista','form_cartmotoristausuario','label_alert','field_alert');
       if(erro==0)
          document.getElementById('form_nomeUsuario').focus();
       erro=1;
    }

	 if (document.getElementsByName('form_temCPF')[1].checked           == true &&
	     document.getElementsByName('form_temRG')[1].checked            == true)

    {
	     msg+='\n -> Obrigatorio identidade ou cpf';
	     changeBack('l_temCPF','form_cpfusuario','label_alert','field_alert');
	     changeBack('l_temRG','form_rgusuario','label_alert','field_alert');
	     if(erro==0)
	       document.getElementById('form_nomeUsuario').focus();
	     erro=1;
	 }


   /* Verifica opcoes de lazer */
   
   o=document.getElementsByName('form_horalazerusuario[]');
   if (
       o[0].checked  == false &&
       o[1].checked  == false &&
       o[2].checked  == false &&
       o[3].checked  == false &&
       o[4].checked  == false &&
       o[5].checked  == false &&
       o[6].checked  == false &&
       o[7].checked  == false &&
       o[8].checked  == false &&
       o[9].checked  == false &&
       o[10].checked  == false &&
       o[11].checked  == false
      )
    {
       msg+='\n -> Obrigatorio pelo menos Uma Opcao de Lazer';
       if(erro==0)
          document.getElementById('form_nomeUsuario').focus();
       erro=1;
    }


   /* Verifica opcoes de lazer */

   o=document.getElementsByName('form_corRacaUsuario');
   if (
       o[0].checked  == false &&
       o[1].checked  == false &&
       o[2].checked  == false &&
       o[3].checked  == false &&
       o[4].checked  == false &&
       o[5].checked  == false
      )
    {
       msg+='\n -> Cor/Raca do Usuario';
       if(erro==0)
          document.getElementById('form_corRacaUsuario').focus();
       changeBack('l_corRacaUsuario','form_corracaUsuario','label_alert','field_alert');
       erro=1;
    }

    
 /* Verifica se respondeu atividades que participa */

   indice=1;
   erros=0;
   while (indice != 17)
   {
      elementoform='form_usuarioatividade' + indice;
      elementolabel='l_usuarioatividade' + indice;
      atividade=document.getElementsByName(elementoform);
      if (!atividade[0].checked && !atividade[1].checked  && !atividade[2].checked)
      {
		changeBack(elementolabel,elementoform,'label_alert','field_alert');
		atividade[0].style.background='yellow';
		atividade[1].style.background='yellow';
		atividade[2].style.background='yellow';
        erros+=1;
      }

      indice++;
   }
   if (erros != 0)
   {
      msg+='\n -> Preencher Opcoes de Atividades';
      if (erro==0)
         erro =1;
   }




 /* Verifica se respondeu frequencia de locais de lazer */

   indice=1;
   erros=0;
   while (indice != 19)
   {
      elementoform='form_locallazer' + indice;
      elementolabel='l_locallazer' + indice;
      atividade=document.getElementsByName(elementoform);
      if (!atividade[0].checked && !atividade[1].checked  && !atividade[2].checked)
      {
		changeBack(elementolabel,elementoform,'label_alert','field_alert');
        erros+=1;
      }

      indice++;
   }
   if (erros != 0)
   {
      msg+='\n -> Preencher Frequancia Locais de Lazer';
      if (erro==0)
         erro =1;
   }


	/* VALIDANDO NOME DO Usuario */
	
	if(isEmpty(document.getElementById('form_nomeUsuario').value))
	{
		msg+='\n -> Nome Completo do Usuario';

		changeBack('l_nomeUsuario','form_nomeUsuario','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_nomeUsuario').focus();
        erro=1;
	}


        /* VALIDANDO NOME da Mae */
/*
        if(isEmpty(document.getElementById('form_nomemae').value))
        {
                msg+='\n -> Nome Completo da Mae ';

                changeBack('l_nomemae','form_nomemae','label_alert','field_alert');

        if(erro==0)
                document.getElementById('form_nomemae').focus();
        erro=1;
        }
*/




    /* VALIDANDO CADSUS */
/*    if(!ValidaRadioObrigatorio('form_temCartaoSus'))
    {
           msg+='\n -> CADSUS ';
           erro=1;
           changeBack('','form_temCartaoSus','label_alert','field_alert');
    }
*/

    /* VALIDAÇÃO NÚNERO CARTÃO SUS - CASO TENHA*/
    if(document.getElementsByName('form_temCartaoSus')[0].checked)
    {
        if(isEmpty(document.getElementById('form_nrocadsususuario').value))
        {
            msg+='\n -> No. CADSUS';

            changeBack('l_nomeUsuario','form_nrocadsususuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_nrocadsususuario').focus();
            erro=1;
        }

    }


	/* VALIDANDO SEXO */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_sexoUsuario.length; i++)
    {
    	if (document.InclusaoMatricula.form_sexoUsuario[i].checked)
        {
    		res = 1;
    		break;
    	}
	}
	if (res == 0)
    {
		msg+='\n -> Sexo';
		erro=1;

		changeBack('l_sexoUsuario',null,'label_alert','field_alert');
	}



	/* VALIDANDO DATA DE NASCIMENTO DO Usuario */
	if(isEmpty(document.getElementById('form_dataNascimentoUsuario').value))
	{
		msg+='\n -> Data de Nascimento';

		changeBack('l_dataNascimentoUsuario','form_dataNascimentoUsuario','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_dataNascimentoUsuario').focus();
        erro=1;
	}
    else
    {
        hoje = new Date();
        objDtNasc = document.getElementById('form_dataNascimentoUsuario');
        dt_nasc = objDtNasc.value.split('/');
        nascimento = new Date(dt_nasc[2], dt_nasc[1]-1, dt_nasc[0]);

        if (hoje - nascimento < 0)
        {
            msg+='\n -> Data de nascimento superior a data atual';

            changeBack('l_dataNascimentoUsuario','form_dataNascimentoUsuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_dataNascimentoUsuario').focus();

            erro=1;
        }

    }
    

    if ((dataNascimento=document.getElementById('form_dataNascimentoUsuario').value) != '' &&
         (dataRg=document.getElementById('form_rgusuariodataemissao').value) != '')
    {
        dataNascimento = dataNascimento.substr(6,4)+dataNascimento.substr(3,2)+dataNascimento.substr(0,2);
        dataRg = dataRg.substr(6,4)+dataRg.substr(3,2)+dataRg.substr(0,2);
        if(dataRg < dataNascimento)
        {
            msg+='\n -> Data de nascimento superior a data do RG';
            changeBack('l_dataNascimentoUsuario','form_dataNascimentoUsuario','label_alert','field_alert');
            changeBack('l_rgusuariodataemissao','form_rgusuariodataemissao','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_dataNascimentoUsuario').focus();
            erro=1;
        }
    }

    if ((dataNascimento=document.getElementById('form_dataNascimentoUsuario').value) != '' &&
         (dataCtps=document.getElementById('form_carteiratrabusuariodataemissao').value) != '')
    {
        dataNascimento = dataNascimento.substr(6,4)+dataNascimento.substr(3,2)+dataNascimento.substr(0,2);
        dataCtps = dataCtps.substr(6,4)+dataCtps.substr(3,2)+dataCtps.substr(0,2);
        if(dataCtps < dataNascimento)
        {
            msg+='\n -> Data de nascimento superior a data da CTPS';
            changeBack('l_dataNascimentoUsuario','form_dataNascimentoUsuario','label_alert','field_alert');
            changeBack('l_carteiratrabusuariodataemissao','form_carteiratrabusuariodataemissao','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_dataNascimentoUsuario').focus();
            erro=1;
        }
    }

     /* VALIDANDO CPF */
    if(!ValidaRadioObrigatorio('form_temCPF'))
    {
           msg+='\n -> CPF';
           erro=1;
           changeBack('l_temCPF','form_temCPF','label_alert','field_alert');
    }

     /* VALIDANDO CPF == SIM */
     
    if(document.getElementsByName('form_temCPF')[0].checked)
    {
        if(isEmpty(document.getElementById('form_cpfusuario').value))
        {
            msg+='\n -> No. CPF';

            changeBack('l_cpfusuario','form_cpfusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_cpfusuario').focus();
            erro=1;
        }
        else
        {

            if (!ValidaCPF(document.getElementById('form_cpfusuario').value))
            {
                 msg+='\n -> No. CPF Inválido';

                 changeBack('l_cpfusuario','form_cpfusuario','label_alert','field_alert');

                 if(erro==0)
                    document.getElementById('form_cpfusuario').focus();
                 erro=1;
            }
        }

    }


    /* VALIDANDO RG */
    if(!ValidaRadioObrigatorio('form_temRG'))
    {
           msg+='\n -> RG';
           erro=1;
           changeBack('l_temRG','form_temRG','label_alert','field_alert');
    }

    if(document.getElementsByName('form_temRG')[0].checked)
    {
        if(isEmpty(document.getElementById('form_rgusuario').value))
        {
            msg+='\n -> No. RG';

            changeBack('l_rgusuario','form_rgusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_rgusuario').focus();
            erro=1;
        }

        if(isEmpty(document.getElementById('form_rgusuariodataemissao').value))
        {
            msg+='\n -> Data Emissão RG';

            changeBack('l_rgusuariodataemissao','form_rgusuariodataemissao','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_rgusuariodataemissao').focus();
            erro=1;
        }
        else
        {
            hoje = new Date();
            objDtNasc = document.getElementById('form_rgusuariodataemissao');
            dt_nasc = objDtNasc.value.split('/');
            nascimento = new Date(dt_nasc[2], dt_nasc[1]-1, dt_nasc[0]);

            if (hoje - nascimento < 0)
            {
                msg+='\n -> Data de emissão do RG superior a data atual';

                changeBack('l_rgusuariodataemissao','form_rgusuariodataemissao','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_rgusuariodataemissao').focus();

                erro=1;
            }

        }
        
    }

    /* VALIDANDO CTPS */
    if(!ValidaRadioObrigatorio('form_temCarteiraTrab'))
    {
           msg+='\n -> Carteira de Trabalho';
           erro=1;
           changeBack('l_temCarteiraTrab','form_temCarteiraTrab','label_alert','field_alert');
    }

    if(document.getElementsByName('form_temCarteiraTrab')[0].checked)
    {
        if(isEmpty(document.getElementById('form_carteiratrabusuario').value))
        {
            msg+='\n -> No. Carteira de Trabalho';

            changeBack('l_carteiratrabusuario','form_carteiratrabusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_carteiratrabusuario').focus();
            erro=1;
        }

        if(isEmpty(document.getElementById('form_carteiratrabusuarioserie').value))
        {
            msg+='\n -> SÃ©rie da Carteira de Trabalho';

            changeBack('l_carteiratrabusuarioserie','form_carteiratrabusuarioserie','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_carteiratrabusuarioserie').focus();
            erro=1;
        }

        if(isEmpty(document.getElementById('form_carteiratrabusuariodataemissao').value))
        {
            msg+='\n -> Data Emissão da Carteira de Trabalho';

            changeBack('l_carteiratrabusuariodataemissao','form_carteiratrabusuariodataemissao','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_carteiratrabusuariodataemissao').focus();
            erro=1;
        }
        else
        {
            hoje = new Date();
            objDtNasc = document.getElementById('form_carteiratrabusuariodataemissao');
            dt_nasc = objDtNasc.value.split('/');
            nascimento = new Date(dt_nasc[2], dt_nasc[1]-1, dt_nasc[0]);

            if (hoje - nascimento < 0)
            {
                msg+='\n -> Data de emissão da Carteira de Trabalho superior a data atual';

                changeBack('l_carteiratrabusuariodataemissao','form_carteiratrabusuariodataemissao','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_carteiratrabusuariodataemissao').focus();

                erro=1;
            }

        }

    }
    
     /* VALIDANDO CNH */
     
   if(!ValidaRadioObrigatorio('form_temCartMotorista'))
    {
           msg+='\n -> Cart. de Motorista';
           erro=1;
           changeBack('l_temCartMotorista','form_temCartMotorista','label_alert','field_alert');
    }

    if(document.getElementsByName('form_temCartMotorista')[0].checked)
    {
        if(isEmpty(document.getElementById('form_cartmotoristausuario').value))
        {
            msg+='\n -> No. Cart. de Motorista';

            changeBack('l_cartmotoristausuario','form_cartmotoristausuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_cartmotoristausuario').focus();
            erro=1;
        }
        
        
    }


	/*------------------------------------------------------------------------
                        VALIDANDO DADOS DE ENDERECO DE USUARIO
    -------------------------------------------------------------------------*/


    if (isEmpty(document.getElementById('form_logradouroNomeUsuario').value) )
    {
       msg+='\n -> Logradouro';
       changeBack('l_logradouroNomeUsuario','form_logradouroNomeUsuario','label_alert','field_alert');
       if (erro==0)
          document.getElementById('form_logradouroNomeUsuario').focus();
       erro=1;
    }

    if (isEmpty(document.getElementById('form_logradouroNumeroUsuario').value ))
    {
       msg+='\n -> Numero';
       changeBack('l_logradouroNumeroUsuario','form_logradouroNumeroUsuario','label_alert','field_alert');
       if (erro==0)
          document.getElementById('form_logradouroNumeroUsuario').focus();
       erro=1;
    }


    if ((document.getElementById('form_logradouroNaoCadastrado').checked==true) &&
        (!ValidaRadioObrigatorio('form_logradourotipojustificativa')) )
    {
       msg+='\n -> Selecione o Tipo da Justificativa de Logradouro não cadastrado ';
       changeBack('','form_logradourotipojustificativa','label_alert','field_alert');
       if (erro==0)
          document.getElementById('form_logradourotipojustificativa').focus();
       erro=1;
    }


    if (isEmpty(document.getElementById('form_logradourojustificativausuario').value) &&
        (document.getElementsByName('form_logradourotipojustificativa')[1].checked) )
    {
       msg+='\n -> Descreva a Justificativa do Logradouro Nao Cadastrado';
       changeBack('','form_logradourojustificativausuario','label_alert','field_alert');
       if (erro==0)
          document.getElementById('form_logradourojustificativausuario').focus();
       erro=1;
    }





   	/* VALIDANDO FONE FIXO */
    if( isEmpty(document.getElementById('form_telefoneFixoUsuario').value) && (!document.getElementById('form_possuiTelefoneFixo').checked) )
    {
        msg+='\n -> Telefone Residencial';

        changeBack('','form_telefoneFixoUsuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_telefoneFixoUsuario').focus();
        erro=1;
    }

	/* VALIDANDO FONE CELULAR */
    if( isEmpty(document.getElementById('form_telefoneCelularUsuario').value) && (!document.getElementById('form_possuiTelefoneCelular').checked) )
    {
        msg+='\n -> Telefone Celular';

        changeBack('','form_telefoneCelularUsuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_telefoneFixoUsuario').focus();
        erro=1;
    }

	/* VALIDANDO FONE RECADO */
    if( isEmpty(document.getElementById('form_telefoneRecadoUsuario').value) && (!document.getElementById('form_possuiTelefoneRecado').checked) )
    {
        msg+='\n -> Telefone de Recado';

        changeBack('','form_telefoneRecadoUsuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_telefoneRecadoUsuario').focus();
        erro=1;
    }

	/* VALIDANDO EMAIL */
    if( isEmpty(document.getElementById('form_emailUsuario').value) && (!document.getElementById('form_possuiEmail').checked) )
    {
        msg+='\n -> Email';

        changeBack('','form_emailUsuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_emailUsuario').focus();
        erro=1;
    }
    else
    {
        if(!document.getElementById('form_possuiEmail').checked)
        {
            if(!ValidaEmail( document.getElementById('form_emailUsuario').value ))
            {
                 msg+='\n -> Email inválido';

                changeBack('','form_emailUsuario','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_emailUsuario').focus();
                erro=1;
            }
        }

    }

	/* VALIDANDO ENDERECO CORRESPONDENCIA */
    if( !ValidaRadioObrigatorio('form_enderecocorrespomesmo') )
    {
        msg+='\n -> Endereço de Correspondência';

        changeBack('','form_enderecocorrespomesmo','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_enderecocorrespomesmo').focus();
        erro=1;
    }

	/* VALIDANDO SE ENDERECO CORRESPONDENCIA ESTA COMPLETO */
    if( document.getElementsByName('form_enderecocorrespomesmo')[1].checked )
    {
        if( isEmpty(document.getElementById('form_logradourocorresptipousuario').value) )
        {
            msg+='\n -> Tipo (logradouro corresp.)';
            changeBack('l_logradourocorresptipousuario','form_logradourocorresptipousuario','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_logradourocorresptipousuario').focus();
            erro=1;
        }



        if( isEmpty(document.getElementById('form_logradourocorrespnomeusuario').value) )
        {
            msg+='\n -> Logradouro Corresp.';
            changeBack('l_logradourocorrespnomeusuario','form_logradourocorrespnomeusuario','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_logradourocorrespnomeusuario').focus();
            erro=1;
        }


        if( isEmpty(document.getElementById('form_logradourocorrespnumerousuario').value) )
        {
            msg+='\n -> Numero Corresp.';
            changeBack('','form_logradourocorrespnumerousuario','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_logradourocorrespnumerousuario').focus();
            erro=1;
        }

    }

	/* VALIDANDO ENDERECO CORRESPONDENCA */
 /*   if( !ValidaRadioObrigatorio('form_localmoradiaabrangenciacrasusuario') )
    {
        msg+='\n -> Moradia estÃ¡ na Ã¡rea de abrangência deste CRAS?';

        changeBack('','form_localmoradiaabrangenciacrasusuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_localmoradiaabrangenciacrasusuario').focus();
        erro=1;
    }
*/

	/* VALIDANDO SE USUARIO ESTUDA */
	if( !ValidaRadioObrigatorio('form_estudausuario') )
	{
		msg+='\n -> Voce estuda? ';

		changeBack('l_estudausuario', 'form_estudausuario', 'label_alert', 'field_alert');
		if(erro==0)
		    document.getElementById('form_estudausuario').focus();
		erro=1;
	}

	/* VALIDANDO SE USUARIO ESTUDA == SIM */
	if( document.getElementsByName('form_estudausuario')[0].checked )
	{
		//alert('ENTREI');
		if( !ValidaRadioObrigatorio('form_turnoestudousuario') )
		{
			msg+='\n -> Em que turno voce estuda?';

			changeBack('l_turnoestudousuario','form_turnoestudousuario', 'label_alert', 'field_alert');
			if(erro==0)
			    document.getElementById('form_turnoestudousuario').focus();
			erro=1;
		}

		if( !ValidaRadioObrigatorio('form_escolaridadeusuario') )
		{
			msg+='\n -> Que nivel voce cursa atualmente?';

			changeBack('l_escolaridadeusuario','form_escolaridadeusuario', 'label_alert', 'field_alert');
			if(erro==0)
			    document.getElementById('form_escolaridadeusuario').focus();
			erro=1;
		}
	}

	/* VALIDANDO SE USUARIO TRABALHA */
	if( !ValidaRadioObrigatorio('form_trabalhousuario') )
	{
		msg+='\n -> Atualmente voce trabalha?';

		changeBack('l_trabalhousuario','form_trabalhousuario','label_alert','field_alert');
		if(erro==0)
		    document.getElementById('form_trabalhousuario').focus();
		erro=1;
	}

	/* VALIDANDO SE USUARIO TRABALHA == SIM */
	
	if( document.getElementsByName('form_trabalhousuario')[0].checked )
	{
		if( !ValidaRadioObrigatorio('form_tipotrabalhousuario') )
		{
			msg+='\n -> Que tipo de trabalho voce desenvolve? ';

			changeBack('l_tipotrabalhousuario','form_tipotrabalhousuario', 'label_alert', 'field_alert');
			if(erro==0)
			    document.getElementById('form_tipotrabalhousuario').focus();
			erro=1;
		}
	}
	

   /* Validando local onde usuario se encontra */

    o1=document.getElementById('form_codigolocal');
    if (o1.value==0)
    {
      msg+='\n -> Local';
      changeBack('1_codigolocal','form_codigolocal','label_alert', 'field_alert');
      if(erro==0)
           document.getElementById('form_codigolocal').focus();
         erro=1;
    }

  /* valida local lazer */
/*
    o1=document.getElementsByName('form_locallazer18');
    o2=document.getElementById('form_outrolocallazer');
    if (o1[0].checked == true || o1[1].checked == true)
    {
      if (o2.value == '')
      {
         msg+='\n -> Outro local lazer';
         changeBack('1_outrolocallazer','form_outrolocallazer','lable_alert', 'field_alert');
         if (erro==0)
           document.getElementById('form_outrolocallazer').focus();
         erro=1;
      }
    }
    else
      o2.value = '';

 /* valida outro lazer */
 /*

    o1=document.getElementsByName('form_horalazerusuario[]');
    o2=document.getElementById('form_outrolazer');
    if (o1[11].checked == true)
    {
      if (o2.value == '')
      {
         msg+='\n -> Outro lazer';
         changeBack('1_outrolazer','form_outrolazer','lable_alert', 'field_alert');
         if (erro==0)
           document.getElementById('form_outrolazer').focus();
         erro=1;
      }
    }
    else
      o2.value='';
*/


    if(erro==0)
		return true;
	else
	{
		alert(msg);
		return false;
	}
}



